---@type vim.lsp.Config
local config = {
    cmd = { 'lua-language-server' },
    filetypes = { 'lua' },
    root_markers = { { '.luarc.json', '.luarc.jsonc' }, '.git' },
    settings = {
        codeLens = { enable = true },
        hine = {
            enable = true,
            semicolon = 'Disable',
        },
    },
}

vim.lsp.config['lua_ls'] = config
vim.lsp.enable('lua_ls')

